View Single Post
  #15  
Old 7th July 2012, 21:59
cseeman cseeman is offline
Livestream Community Help
 
Join Date: Nov 2008
Posts: 1,297
Default

Leopard support ended a while back.
Scroll down.
You need to download 20.0.89
It supports Leopard. It may not support PPC though. The last PPC was released 7 years ago. You should consider getting a new computer.
http://www.livestream.com/userguide/?title=Mac_Release

Last edited by cseeman; 7th July 2012 at 22:03.
Reply With Quote